## cpphs 1.9

=== Makefile ===
LIBRARY = cpphs
VERSION = 1.9

DIRS	= Language/Preprocessor/Cpphs \
	  Text/ParserCombinators

SRCS	= Language/Preprocessor/Cpphs.hs \
          Language/Preprocessor/Cpphs/CppIfdef.hs \
          Language/Preprocessor/Cpphs/HashDefine.hs \
          Language/Preprocessor/Cpphs/MacroPass.hs \
          Language/Preprocessor/Cpphs/Options.hs \
          Language/Preprocessor/Cpphs/Position.hs \
          Language/Preprocessor/Cpphs/ReadFirst.hs \
          Language/Preprocessor/Cpphs/RunCpphs.hs \
          Language/Preprocessor/Cpphs/SymTab.hs \
          Language/Preprocessor/Cpphs/Tokenise.hs \
          Language/Preprocessor/Unlit.hs \
          Text/ParserCombinators/HuttonMeijer.hs \
          cpphs.hs

AUX	= README LICENCE* CHANGELOG $(LIBRARY).cabal Setup.hs Makefile \
	  cpphs.hugs cpphs.compat \
	  tests/[A-BD-Z]* tests/[a-np-z]* \
	  docs/[a-z]*

HC	= ghc
HFLAGS	=
HEAP	=
HOSTSTRIP = strip

all: $(LIBRARY)
package:
	tar cf tmp.tar $(SRCS) $(AUX)
	mkdir $(LIBRARY)-$(VERSION)
	cd $(LIBRARY)-$(VERSION); tar xf ../tmp.tar
	tar zcf $(LIBRARY)-$(VERSION).tar.gz $(LIBRARY)-$(VERSION)
	zip -r $(LIBRARY)-$(VERSION).zip $(LIBRARY)-$(VERSION)
	rm -r tmp.tar $(LIBRARY)-$(VERSION)
haddock: $(SRCS)
	mkdir -p docs/$(LIBRARY)
	for dir in $(DIRS); do mkdir -p docs/$(LIBRARY)/$$dir; done
	for file in $(SRCS); \
	    do HsColour -anchor -html $$file \
	          >docs/$(LIBRARY)/`dirname $$file`/`basename $$file .hs`.html;\
	    done
	haddock --html --title=$(LIBRARY) \
	    --odir=docs/$(LIBRARY) --package=$(LIBRARY) \
	    --source-module="%{MODULE/.//}.html" \
	    --source-entity="%{MODULE/.//}.html#%{NAME}" \
	    $(SRCS)



$(LIBRARY): $(SRCS)
	$(HC) $(HFLAGS) $(HEAP) -o $@  $(SRCS)
	$(HOSTSTRIP) $@

## cpphs 1.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIBRARY = cpphs
-VERSION = 1.9
+VERSION = 1.11
 
 DIRS	= Language/Preprocessor/Cpphs \
 	  Text/ParserCombinators

=== debian/changelog ===
cpphs (1.11-3) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 21:26:37 -0300

cpphs (1.11-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:22:28 -0300

cpphs (1.11-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Remove debian/clean, functionality in haskell-devscripts now 

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * New upstream release, required for new hlint 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Mar 2010 13:45:41 +0100

cpphs (1.9-2) unstable; urgency=low

  [ Joachim Breitner ]
  * Fix small typo in description (Closes: #557486, 557531, 557532) 

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Thu, 11 Feb 2010 22:57:47 +0100

cpphs (1.9-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Remove extra comma.
  * debian/control: Use one package for line in dependencies.
  * debian/rules: Make build depend only in build-arch to avoid building
    indep packages in all architectures.
  * debian/control: Use more sintetic name for Vcs-Darcs.

  [ Joachim Breitner ]
  * New upstream release (minor bugfixes only)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 08 Sep 2009 18:08:01 +0200

cpphs (1.7-2) unstable; urgency=low

  * Add debian/watch-file
  * Fix e-mail address in Maintainer field

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Jul 2009 01:55:10 +0200

cpphs (1.7-1) unstable; urgency=low

  * Takeover by the Debian Haskell Group. Thanks to Ian for his years of
    work for Haskell in Debian
  * New upstream release (Closes: #393598)
    + Now contains a cpp library, required for haskell-src-exts
  * Switch to haskell-devscripts
  * Use manpage as provided by upstream

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Jul 2009 21:48:05 +0200

cpphs (0.7-4) unstable; urgency=low

  * Flush output when finished. Closes: #403110.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 18 Dec 2006 19:22:56 +0000

cpphs (0.7-3) unstable; urgency=low

  * Compile with GHC on all platforms so we don't get the file encoding
    issues that "compiling" with hugs gives us. Drop the nhc98 and hugs
    build-dep choices.
  * Don't suggest nhc98 as it is not in the archive any more.
  * Standards version bumped to 3.7.2.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 29 Nov 2006 16:32:27 +0000

cpphs (0.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * C++ ABI transition: It's linked against libgmp3 and needs rebuild.
    Change build dependency order to prefer hugs over ghc6 since that is
    the only alternative that currently is installable.
    This also has as effect that the libgmp3 dependency gets dropped.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu,  1 Sep 2005 18:31:03 +0200

cpphs (0.7-2) unstable; urgency=low

  * Fix build-deps so arches without ghc6 ought to build.
  * Remove mips from list of ghc6 arches as it is to be removed.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 15 Oct 2004 01:59:16 +0000

cpphs (0.7-1) unstable; urgency=low

  * Initial release

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 29 Sep 2004 22:00:09 +0000

=== debian/control ===
Source: cpphs
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6 
  , ghc6-prof 
  , ghc6-doc 
Homepage: http://hackage.haskell.org/package/cpphs
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs

Package: cpphs
Architecture: any
Depends: ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ghc6 | hugs
Description: Simplified cpp-a-like preprocessor for Haskell
 The C pre-processor has been widely used in Haskell source code. It
 enables conditional compilation for different compilers, different
 versions of the same compiler, and different OS platforms. It is also
 occasionally used for its macro language, which can enable certain
 forms of platform-specific detail-filling, such as the tedious
 boilerplate generation of instance definitions and FFI declarations.
 .
 However, gcc's cpp has recently been evolving to more strictly adhere
 to the C standard. This has had the effect of making it increasingly
 incompatible with Haskell's syntax. This is a cpp-a-like designed with
 Haskell's syntax in mind.

Package: libghc6-cpphs-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: cpphs-library for haskell
 This package provides some of the features of cpphs as a haskell library.

Package: libghc6-cpphs-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: cpphs-library for haskell; profiling libraries
 This package provides some of the features of cpphs as a haskell library.

Package: libghc6-cpphs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Replaces: haskell-cpphs-doc (<< 1.11-2)
Conflicts: haskell-cpphs-doc (<< 1.11-2)
Provides: haskell-cpphs-doc
Description: cpphs-library for haskell; documentation
 This package provides some of the features of cpphs as a haskell library.
  .
 This package contains the API documentation for this library

=== debian/rules ===
#!/usr/bin/make -f

DEB_HADDOCK_HTML_DIR = /usr/share/doc/haskell-$(CABAL_PACKAGE)-doc/html/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## cpphs 1.13.3

=== debian/changelog ===
cpphs (1.13.3-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:42 +0200

cpphs (1.13.3-2) unstable; urgency=low

  * Add ${haskell:Depends} to -doc package

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:22:57 +0100

cpphs (1.13.3-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 18:41:23 +0100

cpphs (1.11-4) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Use standard path for docs

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 22:28:59 +0530

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7)
   , cdbs
-  , haskell-devscripts (>= 0.7)
-  , ghc6 
-  , ghc6-prof 
-  , ghc6-doc 
+  , haskell-devscripts (>= 0.8.13)
+  , ghc 
+  , ghc-prof 
+  , ghc-doc 
 Homepage: http://hackage.haskell.org/package/cpphs
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs
@@ -18,7 +18,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
   , ${misc:Depends}
-Suggests: ghc6 | hugs
+Suggests: ghc | hugs
 Description: Simplified cpp-a-like preprocessor for Haskell
  The C pre-processor has been widely used in Haskell source code. It
  enables conditional compilation for different compilers, different
@@ -32,7 +32,7 @@
  incompatible with Haskell's syntax. This is a cpp-a-like designed with
  Haskell's syntax in mind.
 
-Package: libghc6-cpphs-dev
+Package: libghc-cpphs-dev
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -42,7 +42,7 @@
 Description: cpphs-library for haskell
  This package provides some of the features of cpphs as a haskell library.
 
-Package: libghc6-cpphs-prof
+Package: libghc-cpphs-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -52,10 +52,10 @@
 Description: cpphs-library for haskell; profiling libraries
  This package provides some of the features of cpphs as a haskell library.
 
-Package: libghc6-cpphs-doc
+Package: libghc-cpphs-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Replaces: haskell-cpphs-doc (<< 1.11-2)

## cpphs 1.16

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIBRARY = cpphs
-VERSION = 1.11
+VERSION = 1.16
 
 DIRS	= Language/Preprocessor/Cpphs \
 	  Text/ParserCombinators

=== debian/changelog ===
cpphs (1.16-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:42 +0200

cpphs (1.16-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Feb 2013 12:47:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
   , cdbs
   , haskell-devscripts (>= 0.8.13)
   , ghc

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|cpphs-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/cpphs \
    ([\d\.]*\d)/

## cpphs 1.18.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIBRARY = cpphs
-VERSION = 1.16
+VERSION = 1.18.5
 
 DIRS	= Language/Preprocessor/Cpphs \
 	  Text/ParserCombinators
@@ -15,7 +15,6 @@
           Language/Preprocessor/Cpphs/SymTab.hs \
           Language/Preprocessor/Cpphs/Tokenise.hs \
           Language/Preprocessor/Unlit.hs \
-          Text/ParserCombinators/HuttonMeijer.hs \
           cpphs.hs
 
 AUX	= README LICENCE* CHANGELOG $(LIBRARY).cabal Setup.hs Makefile \
@@ -33,7 +32,7 @@
 	tar cf tmp.tar $(SRCS) $(AUX)
 	mkdir $(LIBRARY)-$(VERSION)
 	cd $(LIBRARY)-$(VERSION); tar xf ../tmp.tar
-	tar zcf $(LIBRARY)-$(VERSION).tar.gz $(LIBRARY)-$(VERSION)
+	tar --format=ustar -zcf $(LIBRARY)-$(VERSION).tar.gz $(LIBRARY)-$(VERSION)
 	zip -r $(LIBRARY)-$(VERSION).zip $(LIBRARY)-$(VERSION)
 	rm -r tmp.tar $(LIBRARY)-$(VERSION)
 haddock: $(SRCS)

=== debian/changelog ===
cpphs (1.18.5-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 17:47:57 +0200

cpphs (1.18.4-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Sven Bartscher ]
  * New upstream version
  * Bump standards version, no change
  
 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Tue, 03 Jun 2014 21:12:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9)
   , cdbs
   , haskell-devscripts (>= 0.8.13)
   , ghc 
   , ghc-prof 
   , ghc-doc 
+  , libghc-polyparse-dev (>= 1.9)
+  , libghc-polyparse-prof
+Build-Depends-Indep: libghc-polyparse-doc
 Homepage: http://hackage.haskell.org/package/cpphs
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs

## cpphs 1.18.9

=== debian/changelog ===
cpphs (1.18.9-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 01:01:53 +0100

cpphs (1.18.9-1) unstable; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Wed, 20 May 2015 11:46:04 +0100

cpphs (1.18.5-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:24 +0200

cpphs (1.18.5-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.13)
+  , haskell-devscripts (>= 0.9)
   , ghc 
   , ghc-prof 
   , ghc-doc

## cpphs 1.19

=== debian/changelog ===
cpphs (1.19-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 Jul 2015 09:20:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper (>= 9)
   , cdbs
   , haskell-devscripts (>= 0.9)
-  , ghc 
-  , ghc-prof 
-  , ghc-doc 
+  , ghc
+  , ghc-prof
+  , ghc-doc
   , libghc-polyparse-dev (>= 1.9)
   , libghc-polyparse-prof
 Build-Depends-Indep: libghc-polyparse-doc
@@ -69,4 +69,3 @@
   .
  This package contains the API documentation for this library
 
-

## cpphs 1.19.2

=== debian/changelog ===
cpphs (1.19.2-1b1) staging; urgency=medium

  * Rebuild for tanglu 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 21 Aug 2015 18:35:22 +0200

cpphs (1.19.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 12 Aug 2015 13:38:37 +0200

=== debian/control ===
Source: cpphs
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.9),
 cdbs,
 ghc,
 ghc-prof,
 libghc-polyparse-dev (>= 1.9),
 libghc-polyparse-prof,
Build-Depends-Indep: ghc-doc,
 libghc-polyparse-doc,
Standards-Version: 3.9.5
Homepage: http://projects.haskell.org/cpphs/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs

Package: cpphs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Suggests: ghc | hugs,
Description: Simplified cpp-a-like preprocessor for Haskell
 The C pre-processor has been widely used in Haskell source code. It
 enables conditional compilation for different compilers, different
 versions of the same compiler, and different OS platforms. It is also
 occasionally used for its macro language, which can enable certain
 forms of platform-specific detail-filling, such as the tedious
 boilerplate generation of instance definitions and FFI declarations.
 .
 However, gcc's cpp has recently been evolving to more strictly adhere
 to the C standard. This has had the effect of making it increasingly
 incompatible with Haskell's syntax. This is a cpp-a-like designed with
 Haskell's syntax in mind.

Package: libghc-cpphs-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: cpphs-library for haskell
 This package provides some of the features of cpphs as a haskell library.

Package: libghc-cpphs-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: cpphs-library for haskell; profiling libraries
 This package provides some of the features of cpphs as a haskell library.

Package: libghc-cpphs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: haskell-cpphs-doc (<< 1.11-2),
Provides: haskell-cpphs-doc,
Replaces: haskell-cpphs-doc (<< 1.11-2),
Description: cpphs-library for haskell; documentation
 This package provides some of the features of cpphs as a haskell library.
  .
 This package contains the API documentation for this library

## cpphs 1.19.3

=== debian/changelog ===
cpphs (1.19.3-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 18:25:44 +0000

cpphs (1.19.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 23:56:55 -0500

cpphs (1.19.2-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:01 -0500

cpphs (1.19.2-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,24 @@
 Priority: extra
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.9),
+ haskell-devscripts (>= 0.10),
  cdbs,
  ghc,
  ghc-prof,
+ libghc-old-locale-dev,
+ libghc-old-locale-prof,
+ libghc-old-time-dev,
+ libghc-old-time-prof,
  libghc-polyparse-dev (>= 1.9),
  libghc-polyparse-prof,
 Build-Depends-Indep: ghc-doc,
+ libghc-old-locale-doc,
+ libghc-old-time-doc,
  libghc-polyparse-doc,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://projects.haskell.org/cpphs/
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: cpphs
 Architecture: any

=== debian/watch ===
version=3
http://hackage.haskell.org/package/cpphs/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cpphs 1.20.1

=== debian/changelog ===
cpphs (1.20.1-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 Jun 2016 12:39:59 +0100

cpphs (1.20.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:26:42 +0200

## cpphs 1.20.2

=== debian/changelog ===
cpphs (1.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 09 Sep 2016 11:25:23 -0400

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-polyparse-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://projects.haskell.org/cpphs/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: cpphs
 Architecture: any

## cpphs 1.20.5

=== debian/changelog ===
cpphs (1.20.5-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2017 23:24:55 +0200

cpphs (1.20.5-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:23:28 -0400

cpphs (1.20.2-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:14 -0400

cpphs (1.20.2-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sat, 15 Oct 2016 14:52:33 -0400

## cpphs 1.20.8

=== debian/changelog ===
cpphs (1.20.8-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:01:09 +0300

cpphs (1.20.8-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:39 -0400

cpphs (1.20.8-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 21:10:14 -0400

=== debian/control ===
Source: cpphs
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-old-locale-dev,
 libghc-old-locale-prof,
 libghc-old-time-dev,
 libghc-old-time-prof,
 libghc-polyparse-dev (>= 1.9),
 libghc-polyparse-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-old-locale-doc,
 libghc-old-time-doc,
 libghc-polyparse-doc,
Standards-Version: 4.1.4
Homepage: http://projects.haskell.org/cpphs/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/cpphs
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/cpphs]

Package: cpphs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ghc | hugs,
Description: Simplified cpp-a-like preprocessor for Haskell
 The C pre-processor has been widely used in Haskell source code. It
 enables conditional compilation for different compilers, different
 versions of the same compiler, and different OS platforms. It is also
 occasionally used for its macro language, which can enable certain
 forms of platform-specific detail-filling, such as the tedious
 boilerplate generation of instance definitions and FFI declarations.
 .
 However, gcc's cpp has recently been evolving to more strictly adhere
 to the C standard. This has had the effect of making it increasingly
 incompatible with Haskell's syntax. This is a cpp-a-like designed with
 Haskell's syntax in mind.

Package: libghc-cpphs-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: cpphs-library for haskell
 This package provides some of the features of cpphs as a haskell library.

Package: libghc-cpphs-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: cpphs-library for haskell; profiling libraries
 This package provides some of the features of cpphs as a haskell library.

Package: libghc-cpphs-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-cpphs-doc (<< 1.11-2),
Provides:
 haskell-cpphs-doc,
Replaces:
 haskell-cpphs-doc (<< 1.11-2),
Description: cpphs-library for haskell; documentation
 This package provides some of the features of cpphs as a haskell library.
  .
 This package contains the API documentation for this library

## cpphs 1.20.9.1

=== debian/changelog ===
cpphs (1.20.9.1-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 17 Sep 2024 13:31:28 +0300

cpphs (1.20.9.1-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Sep 2023 20:29:11 +0300

cpphs (1.20.9.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 18 Jul 2022 18:59:32 +0300

cpphs (1.20.9.1-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Bump Standards-Version to 4.5.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 16:58:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,22 @@
 Source: cpphs
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-old-locale-dev,
- libghc-old-locale-prof,
- libghc-old-time-dev,
- libghc-old-time-prof,
- libghc-polyparse-dev (>= 1.9),
+ libghc-polyparse-dev (>= 1.13),
+ libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
-Build-Depends-Indep:
- ghc-doc,
- libghc-old-locale-doc,
- libghc-old-time-doc,
+Build-Depends-Indep: ghc-doc,
  libghc-polyparse-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.0
 Homepage: http://projects.haskell.org/cpphs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/cpphs
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/cpphs]
@@ -91,5 +85,5 @@
  haskell-cpphs-doc (<< 1.11-2),
 Description: cpphs-library for haskell; documentation
  This package provides some of the features of cpphs as a haskell library.
-  .
+ .
  This package contains the API documentation for this library

## cpphs 1.20.10

=== debian/changelog ===
cpphs (1.20.10-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 05 Jan 2026 15:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -17,7 +17,7 @@
 Build-Depends-Indep: ghc-doc,
  libghc-polyparse-doc,
 Standards-Version: 4.7.0
-Homepage: http://projects.haskell.org/cpphs/
+Homepage: https://hackage.haskell.org/package/cpphs
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/cpphs
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/cpphs]
